unit uFTestTChartDrawText;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, TeEngine, TeeSurfa, TeePoin3, ExtCtrls, TeeProcs, Chart,
  Spin, VclTee.TeeGDIPlus;

type
  TFTestTChartLongCanvas = class(TForm)
    Chart: TChart;
    Series1: TPoint3DSeries;
    Image1: TImage;
    procedure FormShow(Sender: TObject);
    procedure ChartAfterDraw(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  FTestTChartLongCanvas: TFTestTChartLongCanvas;

implementation

{$R *.dfm}


procedure TFTestTChartLongCanvas.ChartAfterDraw(Sender: TObject);
var
  str: string;
  r : TRect;
begin

  str := 'Test DrawText function';
  r := Rect(30,30,130,130);

  Chart.Canvas.Font.Color := clred;
  Chart.Canvas.Font.Size := 15;
  DrawText(Chart.Canvas.Handle,
              PChar(str),
              Length(str),
              r,
              DT_LEFT or DT_WORDBREAK);

end;

procedure TFTestTChartLongCanvas.FormShow(Sender: TObject);
var
  str: string;
  r : TRect;
begin
  Series1.FillSampleValues(50);

  str := 'Test DrawText function';
  r := Rect(10,10,110,110);

  Image1.Canvas.Font.Color := clred;
  Image1.Canvas.Font.Size := 15;
  DrawText(Image1.Canvas.Handle,
              PChar(str),
              Length(str),
              r,
              DT_LEFT or DT_WORDBREAK);
end;



end.
